v1.0.0
OpenAPI 3.1.0

Add or update events

US region

Client Libraries

Add or update events

Events are actions your customers have performed. Use this endpoint to add new events or update existing events in your workspace. To associate events with customers, use our Pipelines or Track APIs. NOTE: If you add new events, they will not appear in your Data Index until you've associated it with a customer.

Add descriptions for events so our AI tools can better understand your data. For instance, this influences how our segment builder generates conditions with AI.

Body
required
application/json
  • events
    Type: array object[] 1…100
    required

    Array of event updates

Responses
  • 204

    Events updated successfully

  • application/json
  • application/json
  • 500

    Internal server error

Request Example for post/v1/data_index/events
curl https://api.customer.io/v1/data_index/events \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "events": [
    {
      "name": "purchase_completed",
      "description": "User successfully completed a purchase"
    }
  ]
}'
No Body